package com.hongyegroup.cpt_parttime.adapter

import android.view.View
import androidx.recyclerview.widget.RecyclerView
import com.guadou.lib_baselib.engine.toast
import com.hongyegroup.cpt_parttime.R
import com.lxj.easyadapter.EasyAdapter
import com.lxj.easyadapter.MultiItemTypeAdapter
import com.lxj.easyadapter.ViewHolder

class PopupTextAdapter(dataes: MutableList<String>, layoutRes: Int) : EasyAdapter<String>(dataes, layoutRes) {

    override fun bind(holder: ViewHolder, t: String, position: Int) {
        holder.setText(R.id.tv_text, t)

        setOnItemClickListener(object : MultiItemTypeAdapter.SimpleOnItemClickListener() {
            override fun onItemClick(view: View, holder: RecyclerView.ViewHolder, position: Int) {
                toast("chick item")
            }
        })
    }


}